%define majver %(echo %version | cut -d. -f1-2)

Name:          falkon
Version:       22.12.1
Release:       1mamba
Summary:       A KDE web browser using the QtWebEngine rendering engine
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org
Source:        https://download.kde.org/stable/release-service/%{version}/src/falkon-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5Positioning-devel
BuildRequires: libQt5WebChannel-devel
BuildRequires: libQt5WebEngine-devel
BuildRequires: libQt5X11Extras-devel
BuildRequires: libX11-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libgnome-keyring-devel
BuildRequires: libkarchive-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkcrash-devel
BuildRequires: libkio-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libkservice-devel
BuildRequires: libkwallet-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libopenssl-devel
BuildRequires: libpurpose-devel
BuildRequires: libsolid-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxcb-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
BuildRequires: qt5-qtbase-devel >= 5.15.7
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Falkon is a KDE web browser. It uses QtWebEngine rendering engine.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --with-man --with-html --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_bindir}/falkon
%{_datadir}/applications/org.kde.falkon.desktop
%{_datadir}/metainfo/org.kde.falkon.appdata.xml
%{_datadir}/bash-completion/completions/falkon
%dir %{_datadir}/falkon
%dir %{_datadir}/falkon/themes
%dir %{_datadir}/falkon/themes/chrome
%{_datadir}/falkon/themes/chrome/*
%dir %{_datadir}/falkon/themes/linux
%{_datadir}/falkon/themes/linux/*
%dir %{_datadir}/falkon/themes/mac
%{_datadir}/falkon/themes/mac/*
%dir %{_datadir}/falkon/themes/windows
%{_datadir}/falkon/themes/windows/*
%{_datadir}/icons/hicolor/*/apps/falkon.png
%{_datadir}/icons/hicolor/scalable/apps/falkon.svg
%doc COPYING

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libFalkonPrivate.so.*
%dir %{_libdir}/qt5/plugins/falkon
%{_libdir}/qt5/plugins/falkon/*.so

%changelog
* Thu Jan 05 2023 Automatic Build System <autodist@mambasoft.it> 22.12.1-1mamba
- automatic version update by autodist

* Thu Dec 08 2022 Automatic Build System <autodist@mambasoft.it> 22.12.0-1mamba
- automatic version update by autodist

* Sun Dec 04 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 22.08.3-2mamba
- rebuilt with qt5-qtbase 5.15.7.20221110git.5125862

* Fri Nov 04 2022 Automatic Build System <autodist@mambasoft.it> 22.08.3-1mamba
- automatic version update by autodist

* Fri Oct 14 2022 Automatic Build System <autodist@mambasoft.it> 22.08.2-1mamba
- automatic version update by autodist

* Thu Sep 08 2022 Automatic Build System <autodist@mambasoft.it> 22.08.1-1mamba
- automatic version update by autodist

* Thu Aug 18 2022 Automatic Build System <autodist@mambasoft.it> 22.08.0-1mamba
- automatic version update by autodist

* Fri Jul 08 2022 Automatic Build System <autodist@mambasoft.it> 22.04.3-1mamba
- automatic version update by autodist

* Mon Jun 13 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 22.04.2-1mamba
- package created using the webbuild interface
